# module ActiveLdap::Associations

Associations

Associations provides the class methods needed for the extension classes to create methods using belongs_to and has_many

### Public Class Methods

append_features(base) click to toggle source
Calls superclass method

    # File lib/active_ldap/associations.rb, line 13
    def self.append_features(base)
      super
      base.extend(ClassMethods)
      base.class_attribute(:associations)
      base.associations ||= []
    end

### Public Instance Methods

clear_association_cache() click to toggle source

    # File lib/active_ldap/associations.rb, line 194
    def clear_association_cache
      return if new_record?
      (self.class.associations || []).each do |association|
        instance_variable_set("@#{association}", nil)
      end
    end